summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/luppp/README10
-rw-r--r--audio/luppp/doinst.sh3
-rw-r--r--audio/luppp/luppp.SlackBuild108
-rw-r--r--audio/luppp/luppp.desktop76
-rw-r--r--audio/luppp/luppp.info10
-rw-r--r--audio/luppp/slack-desc19
6 files changed, 226 insertions, 0 deletions
diff --git a/audio/luppp/README b/audio/luppp/README
new file mode 100644
index 0000000000..4212f31631
--- /dev/null
+++ b/audio/luppp/README
@@ -0,0 +1,10 @@
+A loop player/sequencer designed for live performance or
+loop-based improvisation.
+
+Requires:
+jack-audio-connection-kit or jack2
+cairomm
+liblo
+ntk
+
+http://openavproductions.com/luppp \ No newline at end of file
diff --git a/audio/luppp/doinst.sh b/audio/luppp/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/luppp/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/luppp/luppp.SlackBuild b/audio/luppp/luppp.SlackBuild
new file mode 100644
index 0000000000..cab8dbf935
--- /dev/null
+++ b/audio/luppp/luppp.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+# Slackware build script for fabla
+# Copyright 2015 Klaatu, Wellington NZ
+
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=luppp
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/release-$VERSION.tar.gz -C $PRGNAM-$VERSION --strip-components 1
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# desktop file, added to SlackBuild for convenience
+mkdir -p $PKG/usr/share/applications/
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+
+if [ -x /usr/bin/convert ]; then
+ # generate icon for .desktop file
+ mkdir -p $PKG/usr/share/icons/hicolor/256x256/apps/
+ ICONPX=256x256
+ ICONDIR=$PKG/usr/share/icons/hicolor/$ICONPX/apps/
+ convert -size $ICONPX pattern:checkerboard +level-colors \#111,\#888 $ICONDIR/ch.png
+ convert -size $ICONPX xc:black \
+ -fill \#ff5100 -draw "roundrectangle 70,70 180,180 5,5" \
+ -matte -fill none -draw 'color 0,0 replace' $ICONDIR/rec.png
+
+ convert -size 33x33 xc:white -fill black -stroke black \
+ -draw "path 'M 33,33 L 33,0 L 13,16 L 33,33 Z' " -flop $ICONDIR/tri.png
+ composite -compose multiply -gravity center \
+ $ICONDIR/tri.png $ICONDIR/rec.png $ICONDIR/box.png
+ composite -gravity center $ICONDIR/box.png $ICONDIR/ch.png $ICONDIR/luppp.png
+ rm $ICONDIR/{b,c,r,t}*.png
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/luppp/luppp.desktop b/audio/luppp/luppp.desktop
new file mode 100644
index 0000000000..80bb51b4c3
--- /dev/null
+++ b/audio/luppp/luppp.desktop
@@ -0,0 +1,76 @@
+[Desktop Entry]
+Name=Luppp
+Name[af]=Luppp
+Name[as]=Luppp
+Name[ast]=Luppp
+Name[be]=Luppp
+Name[be@latin]=Luppp
+Name[bg]=Luppp
+Name[bn_IN]=Luppp
+Name[ca]=Luppp
+Name[ca@valencia]=Luppp
+Name[cs]=Luppp
+Name[csb]=Luppp
+Name[da]=Luppp
+Name[de]=Luppp
+Name[el]=Luppp
+Name[en_GB]=Luppp
+Name[eo]=Luppp
+Name[es]=Luppp
+Name[et]=Luppp
+Name[eu]=Luppp
+Name[fi]=Luppp
+Name[fr]=Luppp
+Name[ga]=Luppp
+Name[gl]=Luppp
+Name[he]=Luppp
+Name[hr]=Luppp
+Name[hsb]=Luppp
+Name[hu]=Luppp
+Name[ia]=Luppp
+Name[id]=Luppp
+Name[is]=Luppp
+Name[it]=Luppp
+Name[ja]=Luppp
+Name[ka]=Luppp
+Name[kk]=Luppp
+Name[km]=Luppp
+Name[ko]=Luppp
+Name[ku]=Luppp
+Name[lt]=Luppp
+Name[lv]=Luppp
+Name[ms]=Luppp
+Name[nb]=Luppp
+Name[nds]=Luppp
+Name[nl]=Luppp
+Name[nn]=Luppp
+Name[oc]=Luppp
+Name[pl]=Luppp
+Name[pt]=Luppp
+Name[pt_BR]=Luppp
+Name[ro]=Luppp
+Name[ru]=Luppp
+Name[se]=Luppp
+Name[sk]=Luppp
+Name[sl]=Luppp
+Name[sr@ijekavianlatin]=Luppp
+Name[sr@latin]=Luppp
+Name[sv]=Luppp
+Name[tg]=Luppp
+Name[tr]=Luppp
+Name[ug]=Luppp
+Name[uk]=Luppp
+Name[uz]=Luppp
+Name[uz@cyrillic]=Luppp
+Name[vi]=Luppp
+Name[wa]=Luppp
+Name[x-test]=xxLupppxx
+Name[zh_CN]=Luppp
+Name[zh_TW]=Luppp
+Exec=/usr/bin/luppp
+Icon=luppp
+Type=Application
+Categories=Audio;Sound;
+GenericName=Looper
+GenericName[x-test]=xxLooperxx
+Terminal=false \ No newline at end of file
diff --git a/audio/luppp/luppp.info b/audio/luppp/luppp.info
new file mode 100644
index 0000000000..a56ef8901f
--- /dev/null
+++ b/audio/luppp/luppp.info
@@ -0,0 +1,10 @@
+PRGNAM="luppp"
+VERSION="1.0.1"
+HOMEPAGE="http://openavproductions.com/luppp/"
+DOWNLOAD="https://github.com/harryhaaren/openAV-Luppp/archive/release-1.0.1.tar.gz"
+MD5SUM="6c6db49fb10df3ef93d4b664644080f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit cairomm liblo ntk"
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/audio/luppp/slack-desc b/audio/luppp/slack-desc
new file mode 100644
index 0000000000..4953ee0a1a
--- /dev/null
+++ b/audio/luppp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+luppp: luppp (looper)
+luppp:
+luppp: Luppp is a music creation tool, intended for live use. The focus is
+luppp: eal time processing and a fast, intuitive workflow. With extensive
+luppp: MIDI mapping support, you can get looping just how you like.
+luppp:
+luppp: http://openavproductions.com/luppp/
+luppp:
+luppp:
+luppp:
+luppp: